Package Details: everpad 2.15.8-1

Git Clone URL: https://aur.archlinux.org/everpad.git (read-only, click to copy)
Package Base: everpad
Description: Evernote client with Unity integration
Upstream URL: https://github.com/nvbn/everpad/
Licenses: GPL
Submitter: ImNtReal
Maintainer: None
Last Packager: chenxiaolong
Votes: 67
Popularity: 0.000000
First Submitted: 2012-12-06 18:08
Last Updated: 2015-06-09 00:14

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 Next › Last »

Anonymous comment on 2013-01-17 21:36

I had to install python2-unity-singlet from the PKGBUILD here - https://github.com/chenxiaolong/Unity-for-Arch-Extra/blob/master/unity-singlet/PKGBUILD

I still don't understand what else I have to do to actually get into the application. I can load all three programs but the tray icon doesn't give me an option to create anything. I can go into setup and authorize everpad. I can see everpad being authorized in the evernote site.

What am I missing here?

ImNtReal commented on 2013-01-15 19:17

I believe I need to add python2-unity-singlet as an optdepends because I think it's supposed to work without the -lens. I haven't been able to get mine to authorize correctly, either. I am able to authorize it, but if I close out, and start it back, it will be unauthorized, again. My biggest issue with debugging it at the moment is that I can't start everpad-provider by itself. It throws an error: QWidget: Cannot create a QWidget when no GUI is being used. I'm still trying to figure that one out. everpad-provider seems to run for me when I just start everpad.

Anonymous comment on 2013-01-15 17:44

Installed python2-unity-singlet with the PKGBUILD at https://github.com/chenxiaolong/Unity-for-Arch-Extra/blob/master/unity-singlet/PKGBUILD

Then installed libunity from AUR. I can now start everpad, everpad-lens and everpad-provider with no problem. However, I still can't get into the program itself. I see the everpad icon. When I click on it I get two options "Settings and Management" and "Exit". I can go into the settings and authorize the app which does work (I verified on evernote site).

How do I actually open the GUI?

Anonymous comment on 2013-01-15 06:47

I was confusing myself because I was trying to install everpad from the git repository. I've removed that and installed everpad from AUR. Turns out I was missing python-magic.

Now I can start 'everpad-provider' and 'everpad' with no errors. However, when I run 'everpad-lens' I get the following:

Traceback (most recent call last):
File "/usr/bin/everpad-lens", line 9, in <module>
load_entry_point('everpad==2.3dev', 'console_scripts', 'everpad-lens')()
File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 343, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2307, in load_entry_point
return ep.load()
File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2013, in load
entry = __import__(self.module_name, globals(),globals(), ['__name__'])
File "/usr/lib/python2.7/site-packages/everpad-2.3dev-py2.7.egg/everpad/specific/unity/lens.py", line 3, in <module>
from singlet.lens import SingleScopeLens, IconViewCategory, ListViewCategory
ImportError: No module named singlet.lens

Any idea?

Anonymous comment on 2013-01-15 06:23

Okay. I'm a little further along with this. Turns out that we need python-regex which doesn't appear to be available in aur (although there is a package called python2-regex-hg but I'm not sure what that is).

Install

$ yaourt -S python2-pip
# pip2 install regex

Now everpad starts but all I get is an icon in my tray but I can't seem to get the app to open. The tray icon gives me "Settings and Management" and "Exit". I can go in and authorize the app but that's it.



Anonymous comment on 2013-01-15 00:55

Just tried installing and getting the same error as snovik.

I've taken a look at the dependencies mentioned here and I think I have installed what I should:

aur/python-magic 5.10-1 [installed] (23)
community/python2-beautifulsoup3 3.2.1-1 [installed]
extra/python2-dbus 1.1.1-2 [installed]
aur/python2-html2text 3.200.3-3 [installed] (92)
aur/python2-keyring 0.10-1 [installed] (262)
aur/python2-magic 0.4.0-1 [installed] (10)
aur/python2-oauth2 1.5.211-1 [installed] (53)
aur/python2-pyside 1.1.2-2 [installed] (147)
extra/python2-pysqlite 2.6.3-3 [installed]
community/python2-sqlalchemy 0.7.9-1 [installed]
extra/qtwebkit 2.2.2-1 [installed]
aur/shiboken 1.1.2-1 [installed] (97)

Per some comments here I also have this:
aur/python-magic 5.10-1 [installed] (23)

snovik commented on 2013-01-11 17:12

I updated with new dependencies. Still have the same problem

snostorm commented on 2013-01-11 04:50

Ok ia had the same issues as karlinux, I needed after wards to insstal python- magic and python2-keyring, python-magic should be for python3 but it is a pre compiled version for python2 if you look at the pkg it is a bit messy but works. maybe swithch teh dependancy over to that or we need to sort out python2-magic to work.

snostorm commented on 2013-01-11 04:08

snovik, I am working out issues as well do you have python2-keyring installed, that might be part of the problem below. I still have a problem with python2-magic but it should get you over the current hurdle

snovik commented on 2013-01-10 02:34

I have another problem. Is it you or me now? :)

Traceback (most recent call last):
File "/usr/bin/everpad", line 9, in <module>
load_entry_point('everpad==2.3dev', 'gui_scripts', 'everpad')()
File "/usr/lib/python2.7/site-packages/everpad/pad/indicator.py", line 278, in main
app.provider = get_provider(session_bus)
File "/usr/lib/python2.7/site-packages/everpad/tools.py", line 36, in wrapper
return InterfaceWrapper(partial(fnc, *args, **kwrags))
File "/usr/lib/python2.7/site-packages/everpad/tools.py", line 13, in __init__
self.__load()
File "/usr/lib/python2.7/site-packages/everpad/tools.py", line 16, in __load
self.__interface = self.__get()
File "/usr/lib/python2.7/site-packages/everpad/tools.py", line 43, in get_provider
provider = bus.get_object("com.everpad.Provider", '/EverpadProvider')
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/everpad-provider exited with status 1